/* style.css */ 

/* Webfont */
@font-face {
    font-family: 'Centabel-Book';
    src:url('../../vendors/fonts/Centabel-Book/Centabel-Book.ttf.woff') format('woff'),
        url('../../vendor/fonts/Centabel-Book/Centabel-Book.ttf.svg#Centabel-Book') format('svg'),
        url('../../vendor/fonts/Centabel-Book/Centabel-Book.ttf.eot'),
        url('../../vendor/fonts/Centabel-Book/Centabel-Book.ttf.eot?#iefix') format('embedded-opentype'); 
    font-weight: normal;
    font-style: normal;
}

body {
  padding-top:6vw;
}

#header_info {
  position:absolute;
  top:0;
  right:0;
  color:#777;
  margin:10px;
}

#title {
  font-family:'Centabel-Book';
  font-weight:bold;
  font-size: max(6vw, 40px);
  color:#0D4C83;
  text-align:center; 
}

div.container {
  margin-top:5vw;
}

/* Form */
label {
  margin-left:5px;
}

#search-form {
  vertical-align:middle;
  text-align:center;
}

#search-form input {
  height:50px;
  width:100%;
  max-width:500px;
  font-size:large;
}

#search-form label {
  font-size:large;
  color:#7B7B7B;
}

#search-form #submit {
  width:100px;
  margin:10px 0;
}

#search_lang {
  display:inline;
  width:auto;
  height:50px;
  font-size:larger;
  color:#777;
  background-color:#f7f7f7;
  appearance:none;
  background-image: url("data:image/svg+xml;utf8,<svg fill='gray' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
  background-repeat: no-repeat;
  background-position-x:100%;
  background-position-y:10px;
  padding-right:20px;
  margin:10px 0;
}

#search {
  position:relative;
  top:1px;
}

#lang_search_scope {
  color:#777;
  margin:5px;
  font-family:'Centabel-Book';
}

#lang_search_scope span {
  padding:5px 30px;
}

#result {
  margin-top:50px;
  margin-bottom:70px;
}

#result_table,
#count {
  width:75%;
  color:#605f5f;
  text-align:left;
}

#result_table tr {
  height:50px;
}

#result_table td,
#result_table th {
  border:1px solid #d7d7d7;
  padding:5px;
  font:1.3em Georgia, Helvetica, sans serif;
}

#result_table th {
  font-weight:bold;
}

#result_table td:nth-child(2) {
  text-align:center;
}

#result_table td i {
  background-color:#a1c2ff;
  font-style: normal;
  padding: 2px 3px 0;
  border-radius: 5px;
}


/* wait for result */
.loading {
  width: 48px;
  height: 48px;
  display: block;
  margin: 20px auto;
  position: relative;
  border: 3px solid #C1B9FF;
  border-radius: 50%;
  box-sizing: border-box;
  animation: animloader 2s linear infinite;
}
.loading::after {
  content: '';  
  box-sizing: border-box;
  width: 6px;
  height: 24px;
  background: #958484;
  transform: rotate(-45deg);
  position: absolute;
  bottom: -20px;
  left: 46px;
}

/* footer */
#footer {
  position:fixed;
  bottom:0;
  height:30px;
  width:100%;
  color:#777;
  background-color:#e2e3f7;
  padding: 5px 10px;
  text-align: right;
}

#legal_notice {
  display:inline;
}


/* Simple Tooltip */
.ttip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}

.ttip .ttiptext {
  visibility: hidden;
  background-color: #535353;
  color: #eaf1ff;
  text-align: left;
  border-radius: 6px;
  padding: 7px;
  position: absolute;
  z-index: 1;
  bottom: 150%;
  margin-left: -175px;
}

.ttip .ttiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 75%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #535353 transparent transparent transparent;
}

.ttip:hover .ttiptext {
  visibility: visible;
}



@keyframes animloader {
    0% { transform: translate(-10px, -10px); }
   25% { transform: translate(-10px,  10px); }
   50% { transform: translate( 10px,  10px); }
   75% { transform: translate( 10px, -10px); }
  100% { transform: translate(-10px, -10px); }
}
    

/* the following should be in the tooltipster theme "info" */
.tooltipster-info {
  position:fixed;
  left:auto !important;
  width:auto !important;
  top:20px !important;
  right:20px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.waiting {
  border: 3px solid #c8c8c8;
  border-top: 3px solid #3498db;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  margin-left: auto;
  margin-right: auto;
  animation: spin 1s linear infinite;
  -webkit-animation: spin 1s linear infinite; /* Safari */
}
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
@-webkit-keyframes spin { /* Safari */
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}



